#define RGB_AXIS_SIZE 255.0
#define RGB_SPACE_SIZE 256.0
#define DEVIDER 8
#define MULTIPLE 20
#define TOT_SPACE_SIZE (MULTIPLE * DEVIDER)
#define TOT_AXIS_SIZE (TOT_SPACE_SIZE - 1)
/*
typedef char twotype[TOT_SPACE_SIZE][TOT_SPACE_SIZE/DEVIDER];
*/
typedef char twotype[TOT_SPACE_SIZE][TOT_SPACE_SIZE];

typedef twotype *thetype;

char get_from_space(thetype space,short r, short g, short b);
void put_point(float a[3]);


#define YES 0
#define NO 1


struct disp_unit_type
        {
                float val[3];
                char color;
        };

typedef struct disp_unit_type pointT;


int fill_space(thetype space, char domain);
char get_from_space(thetype space, short r, short g, short b);
void put_to_space(thetype space, short r, short g, short b, char value);
void make_space(thetype *space);
void kill_space(thetype space);
int popular_point(thetype space,char r, char g, char b, int size);
int lonely_point(thetype space,char r, char g, char b, short people, int place);
int kill_lonely(thetype space, thetype space2, short people, short place);
int fill_space(thetype space, char domain);
void put_point(float a[3]);
void put_RGB_2(thetype space);
void load_rgb_image(char *argv, char **data);
void save_rgb_image(char filename[], char *data, int xsize, int ysize);
void save_raw_rgb(char filename[], char *data, int xsize, int ysize);
void load_raw_rgb(char filename[], char *data, int xsize, int ysize);
