#include <stdio.h>
#include "forms.h"
#include "gv_forms.h"
#include "types.h"

extern screenT screen;

/****************************************************************/
/*Saves data structure for the current sample being studied.	*/
/****************************************************************/
void f_save_proc(FL_OBJECT *n, long m)
{
FILE *file;
char *fname;

fname = fl_show_file_selector("File To Save","","*.sample","");

if(fname == NULL) 
	return;

if((file = fopen(fname,"w")) == NULL)
{
	fl_show_message("UNABLE TO OPEN FILE!","","");
}

else
{
	fwrite(&screen, sizeof(screenT), 1, file);
	fclose(file);
}
}

/****************************************************************/
/*Loads data stucture for a sample that was previously saved.	*/
/****************************************************************/
void f_load_proc(FL_OBJECT *n, long m)
{
FILE *file;
char *fname;

fname = fl_show_file_selector("File To Load","","*.sample","");

if(fname == NULL) 
	return;

if((file = fopen(fname,"r")) == NULL)
{
	fl_show_message("UNABLE TO OPEN FILE!","","");
}

else
{
	fread(&screen, sizeof(screenT), 1, file);
	fclose(file);
	fl_hide_object(file_grp);
	fl_show_object(main_grp);
}
}

/****************************************************************/
/*Exits file menu.						*/
/****************************************************************/
void f_done_proc(FL_OBJECT *n, long m)
{
fl_hide_object(file_grp);
fl_show_object(main_grp);
}

	
