#define UPPER_POLAR "U"
#define LOWER_POLAR "L"
#define BOTH_POLARS "B"

#define ROTATE_RIGHT '+'
#define ROTATE_LEFT '-'

#define ROTATING_UPPER_POLAR "F1"
#define ND_FILTER "F2"
#define FIXED_UPPER_POLAR "F3" 

#define CLEAR_POLARIZER_COUNTERS "CP"

#define STG_COUNT_MIN -400
#define STG_COUNT_MAX 400

#define STG_S_STEP 1
#define STG_L_STEP 10

#define MAX_RESPONSE 15

/*routines for module stage.c*/
void turn_off_echo();
unsigned long collect_rgb_data();
void stage_command(char *which_filter);
void rotate_polarizer(char *which_motor, short num_steps);
void cross_polars(char *which_polar);
void write_to_serial_port(char *which_motor, char which_direction, short num_steps); 
void read_from_serial_port();
void open_serial_port();
void close_serial_port();
void change_direction();
void stg_init();
void stg_lock_proc(FL_OBJECT *n, long m);
void stg_up_count_proc(FL_OBJECT *n, long m);
void stg_low_count_proc(FL_OBJECT *n, long m);
void stg_cross_pol_proc(FL_OBJECT *n, long m);
void zero_polarizers_proc(FL_OBJECT *n, long m);
void filt_proc(FL_OBJECT *n, long m);
void stg_axis_proc(FL_OBJECT *n, long m);
void stg_done_proc(FL_OBJECT *n, long m);
