#define R 3
#define G 2
#define B 1
#define A 0

#define SR 0
#define SG 1
#define SB 2

#define XSIZE 640
#define YSIZE 486

#define BR 0
#define BG 1
#define BB 2

#define ROT_R 'x'
#define ROT_G 'y'
#define ROT_B 'z'

#define V_FOV  400

#define DOM_AVER	0
#define DOM_MINV	1
#define DOM_MINP	2
#define DOM_MAXV	3
#define DOM_MAXP	4
#define DOM_EDGE	5

#define QUARTZ 1

struct pix_type
{
	unsigned short tot[3];/*values of the total 0 - (200*255)*/
	char min[3];          /*values of the pixels are 0-255*/
	char min_pos[3];      /*position of the stage 0-200*/
	char max[3];          /*values of the pixels are 0-255*/
	char max_pos[3];      /*position of the stage 0-200*/
	char sample_edge;     /*edges from sampling 0-255*/
	char complete_edge;   /*completed edges 0-255*/
};
typedef struct pix_type pixT;

struct type_type
{
	char mineral_type;	/*species pixel belongs to*/
	short grain_number;     /*grain # pixel belongs to*/
};
typedef struct type_type typeT;

struct screen_type
{
	char exists;
	short  no_frames;
	short xsize;
	short ysize;
	/*char start;*/
	short num_grains;	/*soon to be calibration*/
	/*char end;*/
	/*char step;*/
	pixT scr[XSIZE][YSIZE];
	char boxing_info;	/* BOXING EXISTS Y/N */
	char types_info;	/* FINAL INFO Y/N */
	typeT types[XSIZE][YSIZE];
};
typedef struct screen_type screenT;

struct box_type 
{
	unsigned short color;
        short r_min;
        short r_max;
        short g_min;
        short g_max;
        short b_min;
        short b_max;
        struct box_type *prev;
        struct box_type *next;
};
typedef struct box_type box_T;

